Decommission bast3001
Open, NormalPublic

Description

This ticket is to decom bast3001 after it has been replaced by bast3002 in parent task T156506.
I say "decom" instead of reclaim because the reason to replace it was broken disk and it's very old.


  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)

ge-2/0/4 bast3001/eth0
ge-2/0/5 bast3001/eth1

  • - remove production dns entries
  • - puppet node clean, puppet node deactivate, salt key removed

END NON-INTERRUPPTABLE STEPS

  • close T154603 (as invalid or rejected?)
  • - system disks wiped (by onsite)
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from switch once system is unracked..
Dzahn created this task.EditedMar 2 2017, 8:44 PM
This comment has been deleted.
Dzahn added a comment.Mar 2 2017, 8:46 PM

Common name: bast3001
Object type: Server
Visible label: bast3001
Asset tag is missing.
Explicit tags: Amsterdam

https://racktables.wikimedia.org/index.php?page=object&tab=default&object_id=1536

esams row OE :
OE14

Dzahn updated the task description. (Show Details)Mar 2 2017, 8:48 PM
Dzahn updated the task description. (Show Details)
Dzahn claimed this task.

Change 340812 had a related patch set uploaded (by Dzahn):
[operations/puppet] bast3001: remove puppet roles, add role::spare for decom

https://gerrit.wikimedia.org/r/340812

Change 340812 merged by Dzahn:
[operations/puppet] bast3001: remove puppet roles, add role::spare for decom

https://gerrit.wikimedia.org/r/340812

Dzahn updated the task description. (Show Details)Mar 2 2017, 9:18 PM

Change 340813 had a related patch set uploaded (by Dzahn):
[operations/puppet] bast3001: remove from network/constants.pp

https://gerrit.wikimedia.org/r/340813

Change 340813 merged by Dzahn:
[operations/puppet] bast3001: remove from network/constants.pp

https://gerrit.wikimedia.org/r/340813

Mentioned in SAL (#wikimedia-operations) [2017-03-06T21:48:14Z] <mutante> bast3001 - schedule downtime for host and all services in Icinga, remove from puppet, salt .. (T159480)

Mentioned in SAL (#wikimedia-operations) [2017-03-06T21:51:16Z] <mutante> bast3001 - powerdown (T159480), decom in progress

Change 341441 had a related patch set uploaded (by dzahn):
[operations/puppet] site.pp: remove bast3001 (decom)

https://gerrit.wikimedia.org/r/341441

Dzahn updated the task description. (Show Details)Mar 6 2017, 10:07 PM

Change 341448 had a related patch set uploaded (by dzahn):
[operations/dns] bast3001: remove production IPs, keep mgmt

https://gerrit.wikimedia.org/r/341448

Change 341441 merged by Dzahn:
[operations/puppet] site.pp: remove bast3001 (decom)

https://gerrit.wikimedia.org/r/341441

Change 341448 merged by Dzahn:
[operations/dns] bast3001: remove production IPs, keep mgmt

https://gerrit.wikimedia.org/r/341448

Dzahn updated the task description. (Show Details)Mar 6 2017, 10:24 PM
Dzahn updated the task description. (Show Details)
Dzahn reassigned this task from Dzahn to RobH.Mar 6 2017, 10:27 PM
Dzahn added a subscriber: RobH.

@RobH see checkboxes above, i did all that i could except the switch ports, can you do these and then forward the ticket? thank you

RobH updated the task description. (Show Details)Mar 6 2017, 10:39 PM
RobH reassigned this task from RobH to mark.
RobH added a subscriber: mark.

I've disabled the switch port, and updated the task with the port assignment. Assigned to @mark for onsite wipe of disks and unracking.

Dzahn triaged this task as Normal priority.Mar 6 2017, 10:48 PM